Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059248 - Add all DDL scripts to the product
Summary: Add all DDL scripts to the product
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 6.0.1
Assignee: Ryan Zhang
QA Contact: Jiri Svitak
URL:
Whiteboard:
Depends On:
Blocks: 1049238
TreeView+ depends on / blocked
 
Reported: 2014-01-29 13:42 UTC by Jiri Svitak
Modified: 2018-12-05 17:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:03:04 UTC
Type: Feature Request


Attachments (Terms of Use)

Description Jiri Svitak 2014-01-29 13:42:07 UTC
Add all DDL scripts to product, for example to supplementary-tools zip file. Currently there are only ddl scripts for quartz schema, but adding there a runtime jbpm schema would be very useful as well. Especially for cluster setup. They are available in community, so I see no reason why they should be missing in the product:
https://github.com/droolsjbpm/jbpm/tree/6.0.x/jbpm-installer/db/ddl-scripts/oracle

Adding these would also enable this BZ to be fixed as well:
https://bugzilla.redhat.com/show_bug.cgi?id=1049238
(Customers need to create additional indexes anyway for production use and adding them to the ddl would be very useful.)

Comment 2 Prakash Aradhya 2014-01-29 14:54:42 UTC

Is there any reason to remove the jbpm ddls in product or this is just a productisation mistake?
jBPM ddls has never been existed in product. I didn't see a requirement in PRD which requires to include those ddls. or I am wrong?

Ryan, creating DDLs was a requirement for the release.  I remember having conversation with the team on this.  
I agree that it was not clearly defined on where and how it should be packaged, supplemental zip makes lot more sense.
Given where we are with CR2 for 6.0, I would not push for changing the bits at this point.  But we should get this in for 6.0.1

Alessandro, please do me a favor.  File a bugzilla issue highlighting all the DDL scripts that needs to be included.  There should be scripts for most of the DBs we certify. Lets track it closely for 6.0.1

Comment 5 Jiri Svitak 2014-02-13 15:25:07 UTC
DDL scripts were added to BPMS 6.0.1 ER1 supplementary tools zip file. Verified.

p.s.
However they still should be already optimized for production use, for example the necessary indexes need to be created. This is out of scope of this bugzilla and is tracked here:
https://bugzilla.redhat.com/show_bug.cgi?id=1049238


Note You need to log in before you can comment on or make changes to this bug.